LC_KEYRING_HAS(3)

NAME
lc_keyring_has - search keyring for key

LIBRARY
Librecast library (liblibrecast, -llibrecast)

SYNOPSIS
#include <librecast/key.h>

int lc_keyring_has(lc_keyring_t *keyring, uint8_t *key);

Compile and link with -llibrecast.

DESCRIPTION
Searches keyring for key.

RETURN VALUE
lc_keyring_has() returns -1 if key is found on keyring, or 0 if not found.

ERRORS
None.

SEE ALSO
lc_keyring_init(3), lc_keyring_free(3), lc_keyring_has(3), lc_channel_filter_set(3), lc_channel_new(3), lc_keypair_new(3),